> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organizations

Use this API to retrieve specific organizations by organization IDs.

<Warning>
  Prior to using this API, you must:

  * Enable advanced queries option in [the console](https://console.velt.dev/dashboard/config/appconfig)
  * Deploy v4 series of the Velt SDK.
</Warning>

# Endpoint

`POST https://api.velt.dev/v2/organizations/get`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="organizationIds" type="string[]">
      Array of Organization IDs (Optional).
      Limit: Only 30 IDs can be passed at a time.
      If this is not provided, all organizations will be returned.
    </ParamField>

    <ParamField body="pageSize" type="number">
      Number of items to be retrieved per page (Optional). Default: 1000.
    </ParamField>

    <ParamField body="pageToken" type="string">
      Page token retrieved from previous API call. (Optional)
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

```JSON theme={null}
{
  "data": {
    "organizationIds": [
      "yourOrganizationId"
    ],
    "pageSize": 1000,
    "pageToken": "pageToken"
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Organization(s) retrieved successfully.",
    "data": [
      {
        "id": "yourOrganizationId",
        "organizationName": "Your Organization Name",
        "disabled": false,
        // other metadata fields may be included here
      }
      // ... more organizations if multiple were retrieved
    ],
    "nextPageToken": "pageToken"
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Organization(s) retrieved successfully.",
      "data": [
        {
          "id": "yourOrganizationId",
          "organizationName": "Your Organization Name",
          "disabled": false,
          // other metadata fields may be included here
        }
        // ... more organizations if multiple were retrieved
      ],
      "nextPageToken": "pageToken"
    }
  }
  ```
</ResponseExample>
